## megaglest-data 3.6.0.2

=== debian/changelog ===
megaglest-data (3.6.0.2-1) unstable; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/langs/catala.lng:
     - Update the Catalan translation. Thanks to Narcis Garcia.

  [ Ansgar Burchardt ]
  * Remove myself from Uploaders.

  [ Paul Wise ]
  * Lots of different improvments

  [ Mark Vejvoda ]
  * updated for 3.6.0 release
  * renamed from glest to megaglest and changed build system to cmake
  * includes Indian faction (Closes: #457230)

 -- Mark Vejvoda <mark_vejvoda@hotmail.com>  Wed, 21 Dec 2011 14:15:19 +0800

glest-data (3.2.1-2) unstable; urgency=low

  [ Eddy Petrișor ]
  * install tutorials, too (closes: 529769)

  [ Gonéri Le Bouder ]
  * Standard version 3.8.3: no changes 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Fri, 28 Aug 2009 20:47:51 +0200

glest-data (3.2.1-1) unstable; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * New upstream release.
     - Repackage tarball from .zip to .tar.gz.
  * debian/control:
     - Add myself as Uploader.
  * debian/rules:
     - Remove Thumbs.db files.
  * debian/copyright:
     - Change the download location to SourceForge.net.
  * debian/langs/:
     - Change encodings from UTF-8 to ISO-8859-1, so that Glest can read them.
     - Fix errors in some files (several used Languaje= instead of Language=).
     - Don't install russian, Glest can't handle any possible encoding for it.
  * debian/rules:
     - Only install language files ending with .lng (so that Russian can be
       disabled).
     - Don't install the language files at all, as they need to be upgraded
       for the new version.

  [ Alexander Reichle-Schmehl ]
  * Adopt debian/control to my new name

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 25 Feb 2009 17:04:14 +0100

glest-data (3.1.2-1) unstable; urgency=low

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * New upstream release.
  * debian/rules, debian/langs/*, debian/copyright:
     - Add community contributed translations (Brazilian Portuguese,
       Catalan, Hungarian, Italian, Russian and Slovak).
  * debian/control:
     - Improve the description.

  [ Ansgar Burchardt ]
  * No longer contains unit documentation.
  * debian/rules: Install servers.ini.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 04 May 2008 17:02:32 +0200

glest-data (3.1.0-1) unstable; urgency=low

  [ Barry deFreese ]
  * Add watch file

  [ Ansgar Burchardt ]
  * Add myself to Uploaders
  * Change XS-Vcs-* to Vcs-*
  * Bump Debian Standards version to 3.7.3
  * Add Homepage header
  * Change Abstract in debian/glest-data.doc-base

  [ Alexander Schmehl ]
  * New upstream release

 -- Alexander Schmehl <tolimar@debian.org>  Fri, 15 Feb 2008 16:45:19 +0100

glest-data (2.0.0-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

  [ Eddy Petrișor ]
  * coverted to utf-8 the copyright file
  * changed section to non-free since the license alows only free
    distribution

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sat, 25 Aug 2007 13:02:41 +0300

glest-data (2.0.0-1) unstable; urgency=low

  * First upload to Debian unstable
  * Added myself to Uploaders

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Mon, 19 Jun 2007 11:15:20 +0100

glest-data (2.0.0-0ubuntu1) edgy; urgency=low

  * Initial release

 -- Giuseppe Borzi <gborzi@ieee.org>  Wed,  9 Aug 2006 14:12:01 +0200

## megaglest-data 3.6.0.3

=== CMakeLists.txt ===
#########################################################################################
# Game data
CMAKE_MINIMUM_REQUIRED( VERSION 2.6.2 )
PROJECT( MegaGlest )

# Requires an install prefix for the items below to work
IF(NOT CMAKE_INSTALL_PREFIX STREQUAL "")
	MESSAGE(STATUS "Looking for [${PROJECT_SOURCE_DIR}/../glest_game/]")

	# Check if we are running from an SVN folder structure or tarballs
	IF(EXISTS "${PROJECT_SOURCE_DIR}/../glest_game/")
		MESSAGE(STATUS "**Data package detected svn folder structure.")

		# rename the ini for installation
		IF(WIN32)
			INSTALL(FILES 
			  "${PROJECT_SOURCE_DIR}/glest.ini"
			  DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH})
		ELSE()
			INSTALL(FILES 
			  "${PROJECT_SOURCE_DIR}/../../mk/linux/glest.ini"
			  DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH})
		ENDIF()

		# Installation of the program config and image files
		INSTALL(FILES 
		  "${PROJECT_SOURCE_DIR}/../../mk/linux/glestkeys.ini"
		  "${PROJECT_SOURCE_DIR}/../../mk/linux/megaglest.bmp"
          	  "${PROJECT_SOURCE_DIR}/../../mk/linux/configuration.xml"
		  DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH})

		# Installation of data files from outside normal data folder
		INSTALL(DIRECTORY "${PROJECT_SOURCE_DIR}/../../source/masterserver/flags" 
		  DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH}data/core/misc_textures
		  OPTIONAL REGEX "/.svn" EXCLUDE)

		# Installation of the data
		install(
		  DIRECTORY "${PROJECT_SOURCE_DIR}/data" 
			    "${PROJECT_SOURCE_DIR}/docs" 
			    "${PROJECT_SOURCE_DIR}/maps"
			    "${PROJECT_SOURCE_DIR}/scenarios"
			    "${PROJECT_SOURCE_DIR}/techs"
			    "${PROJECT_SOURCE_DIR}/tilesets"
			    "${PROJECT_SOURCE_DIR}/tutorials"
		  DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH}
		  OPTIONAL REGEX "/.svn" EXCLUDE)
	ELSE()
		MESSAGE(STATUS "**Data package detected stand alone data folder structure, prefix [${CMAKE_INSTALL_PREFIX}] bindir [${PROJECT_SOURCE_DIR}].")

		IF(NOT MEGAGLEST_BIN_INSTALL_PATH)
			SET(MEGAGLEST_BIN_INSTALL_PATH "bin/" CACHE STRING "The installation path for binaries (this is appended to the CMAKE_INSTALL_PREFIX)")
		ENDIF()
		IF(NOT MEGAGLEST_DATA_INSTALL_PATH)
			SET(MEGAGLEST_DATA_INSTALL_PATH "share/megaglest/" CACHE STRING "The installation path for data files (this is appended to the CMAKE_INSTALL_PREFIX)")
		ENDIF()
#		IF(NOT MEGAGLEST_DESKTOP_INSTALL_PATH)
#                	SET(MEGAGLEST_DESKTOP_INSTALL_PATH "share/applications/" CACHE STRING "The installation path for desktop files (this is appended to the CMAKE_INSTALL_PREFIX)")
		#ENDIF()
		IF(NOT MEGAGLEST_ICON_INSTALL_PATH)
                	SET(MEGAGLEST_ICON_INSTALL_PATH "share/pixmaps/" CACHE STRING "The installation path for icon files (this is appended to the CMAKE_INSTALL_PREFIX)")
		ENDIF()
		IF(NOT CUSTOM_DATA_INSTALL_PATH)
			SET(CUSTOM_DATA_INSTALL_PATH "'\\\"${CMAKE_INSTALL_PREFIX}/${MEGAGLEST_DATA_INSTALL_PATH}\\\"'" CACHE STRING "The FULL installation path for data files (this is build automatically by combining CMAKE_INSTALL_PREFIX and MEGAGLEST_DATA_INSTALL_PATH)")
		ENDIF()

		MESSAGE(STATUS "*NOTE: Custom Data Install Path is [${MEGAGLEST_DATA_INSTALL_PATH}]")

		# rename the ini for installation
		IF(WIN32)
			INSTALL(FILES 
			  "${PROJECT_SOURCE_DIR}/glest_windows.ini"
			  DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH}
			  RENAME "glest.ini")
		ELSE()
			#install(CODE "EXECUTE_PROCESS(COMMAND \"cmake\" \"-E\" \"copy\" \"${PROJECT_SOURCE_DIR}/glest_linux.ini\" \"${MEGAGLEST_DATA_INSTALL_PATH}/glest.ini\")")
			INSTALL(FILES 
			  "${PROJECT_SOURCE_DIR}/glest_linux.ini"
			  DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH}
			  RENAME "glest.ini")
		ENDIF()

		# Installation of the program config and image files
		INSTALL(FILES 
		  "${PROJECT_SOURCE_DIR}/glestkeys.ini"
		  "${PROJECT_SOURCE_DIR}/megaglest.bmp"
                  "${PROJECT_SOURCE_DIR}/configuration.xml"
		  DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH})

		# Installation of the data
		install(
		  DIRECTORY "${PROJECT_SOURCE_DIR}/data" 
			    "${PROJECT_SOURCE_DIR}/docs" 
			    "${PROJECT_SOURCE_DIR}/maps"
			    "${PROJECT_SOURCE_DIR}/scenarios"
			    "${PROJECT_SOURCE_DIR}/techs"
			    "${PROJECT_SOURCE_DIR}/tilesets"
			    "${PROJECT_SOURCE_DIR}/tutorials"
		  DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH}
		  OPTIONAL REGEX "/.svn" EXCLUDE)

	ENDIF()
ENDIF()

=== debian/changelog ===
megaglest-data (3.6.0.3-1) unstable; urgency=low

  * New upstream release

 -- Mark Vejvoda <mark_vejvoda@hotmail.com>  Wed, 25 Jan 2012 08:45:18 +0800

=== debian/control ===
Source: megaglest-data
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Giuseppe Borzi <gborzi@ieee.org>,
 Eddy Petrișor <eddy.petrisor@gmail.com>,
 Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>,
 Mark Vejvoda <mark_vejvoda@hotmail.com>
Build-Depends: cmake, debhelper (>= 7.0.50~), rdfind, symlinks
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/megaglest-data/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/megaglest-data/?op=log
Homepage: http://megaglest.org/

Package: glest-data
Depends: megaglest-data, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: Dummy transition package for megaglest-data
 This is a dummy package to ease the transition to megaglest, the fork of
 glest-data.

Package: megaglest-data
Replaces: glest-data (<< 3.5.2.3-1~)
Breaks: glest-data (<< 3.5.2.3-1~)
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}
Architecture: all
Recommends: megaglest
Description: data files for MegaGlest
 This package contains the data, docs and translations for MegaGlest.
 .
 It contains many factions, models, textures, maps, tilesets, scenarios,
 tutorials and language files.

## megaglest-data 3.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
 		INSTALL(FILES 
 		  "${PROJECT_SOURCE_DIR}/../../mk/linux/glestkeys.ini"
 		  "${PROJECT_SOURCE_DIR}/../../mk/linux/megaglest.bmp"
-          	  "${PROJECT_SOURCE_DIR}/../../mk/linux/configuration.xml"
 		  DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH})
 
 		# Installation of data files from outside normal data folder
@@ -84,7 +83,6 @@
 		INSTALL(FILES 
 		  "${PROJECT_SOURCE_DIR}/glestkeys.ini"
 		  "${PROJECT_SOURCE_DIR}/megaglest.bmp"
-                  "${PROJECT_SOURCE_DIR}/configuration.xml"
 		  DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH})
 
 		# Installation of the data

=== debian/changelog ===
megaglest-data (3.7.1-1) unstable; urgency=low

  [ Mark Vejvoda ]
  * New upstream release

  [ Eddy Petrișor ]
  * Remove myself from Uploaders

  [ Paul Wise ]
  * Drop glest-data transitional package
  * The copyright file isn't DEP-5 compliant, don't claim that it is.
  * Fix the Vcs-Browser header
  * Bump Standards-Version, no changes

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

 -- Mark Vejvoda <mark_vejvoda@hotmail.com>  Wed, 18 Sep 2013 21:01:45 +0200

=== debian/control ===
Source: megaglest-data
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Giuseppe Borzi <gborzi@ieee.org>,
 Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>,
 Mark Vejvoda <mark_vejvoda@hotmail.com>
Build-Depends: cmake, debhelper (>= 7.0.50~), rdfind, symlinks
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/megaglest-data/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/megaglest-data/
Homepage: http://megaglest.org/

Package: megaglest-data
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}
Architecture: all
Recommends: megaglest
Description: data files for MegaGlest
 This package contains the data, docs and translations for MegaGlest.
 .
 It contains many factions, models, textures, maps, tilesets, scenarios,
 tutorials and language files.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install --destdir=debian/megaglest-data
	rm debian/megaglest-data/usr/share/megaglest/docs/README.data-license.txt
	echo "CountryTexturePath=/usr/share/flags/countries/16x11/" >> debian/megaglest-data/usr/share/megaglest/glest.ini
	find debian/megaglest-data/usr -type d -empty -delete
	mkdir debian/megaglest-data/usr/share/games
	mv debian/megaglest-data/usr/share/megaglest debian/megaglest-data/usr/share/games
	# Replace duplicate files with symlinks
	rdfind -outputname /dev/null -makesymlinks true debian/megaglest-data/
	# Fix those symlinks to make them relative
	symlinks -r -s -c debian/megaglest-data/

override_dh_builddeb:
	dh_builddeb --package=megaglest-data -- -Zxz
	dh_builddeb --remaining-packages

=== debian/watch ===
version=3
# The built data is here:
http://sf.net/megaglest/megaglest-data-([\d.]+)\.(?:zip|tar\.gz|tar\.bz2|tar\.xz)
# The data source code is here:
http://sf.net/megaglest/megaglest-data-source-([\d.]+)\.(?:zip|tar\.gz|tar\.bz2|tar\.xz)

## megaglest-data 3.9.1+ds

=== debian/changelog ===
megaglest-data (3.9.1+ds-1) unstable; urgency=medium

  * Add megaglest-data-source-3.9.1.tar.xz tarball which was accidentally
    dropped by the last upload. (Closes: #771866)
  * Add README.source and explain how to prepare new upstream releases
    correctly.

 -- Markus Koschany <apo@gambaru.de>  Sat, 06 Dec 2014 12:43:32 +0100

megaglest-data (3.9.1-1) unstable; urgency=low

  [ Mark Vejvoda ]
  * New upstream release.

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * Remove Giuseppe and rainct from Uploaders at their own request.
  * wrap-and-sort -sa.
  * Use compat level 9 and require debhelper >= 9.
  * Update debian/copyright and point to the new source location at github.
  * Declare compliance with Debian Policy 3.9.6.
  * Remove Pre-Depends field. Obsolete.
  * Suggest megaglest instead of recommending it so that people, who are only
    interested in the data files, do not have to install the engine as well.
  * debian/rules:
    - Remove override for dh_builddeb. xz compression is the default now.
    - Build with parallel.

 -- Markus Koschany <apo@gambaru.de>  Fri, 03 Oct 2014 15:05:27 +0200

=== debian/control ===
Source: megaglest-data
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Mark Vejvoda <mark_vejvoda@hotmail.com>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 cmake,
 debhelper (>= 9),
 rdfind,
 symlinks
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/megaglest-data/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/megaglest-data/
Homepage: http://megaglest.org/

Package: megaglest-data
Depends:
 ${misc:Depends}
Architecture: all
Suggests:
 megaglest
Description: data files for MegaGlest
 This package contains the data, docs and translations for MegaGlest.
 .
 It contains many factions, models, textures, maps, tilesets, scenarios,
 tutorials and language files.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/make -f
 %:
-	dh ${@}
+	dh $@ --parallel
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/megaglest-data
@@ -14,6 +14,3 @@
 	# Fix those symlinks to make them relative
 	symlinks -r -s -c debian/megaglest-data/
 
-override_dh_builddeb:
-	dh_builddeb --package=megaglest-data -- -Zxz
-	dh_builddeb --remaining-packages

=== debian/watch ===
version=3
# The built data is here:
https://github.com/MegaGlest/megaglest-data/releases .*/megaglest-data-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
# The data source code is here:
https://github.com/MegaGlest/megaglest-data-source/releases .*/megaglest-data-source-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## megaglest-data 3.11.0

=== debian/changelog ===
megaglest-data (3.11.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@gambaru.de>  Fri, 06 Feb 2015 20:40:43 +0100

megaglest-data (3.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Move the package to Git.
  * Do not try to insert CountryTexturePath to glest.ini because this file is
    now provided by megaglest.

 -- Markus Koschany <apo@gambaru.de>  Sat, 31 Jan 2015 20:24:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/megaglest-data
 	rm debian/megaglest-data/usr/share/megaglest/docs/README.data-license.txt
-	echo "CountryTexturePath=/usr/share/flags/countries/16x11/" >> debian/megaglest-data/usr/share/megaglest/glest.ini
 	find debian/megaglest-data/usr -type d -empty -delete
 	mkdir debian/megaglest-data/usr/share/games
 	mv debian/megaglest-data/usr/share/megaglest debian/megaglest-data/usr/share/games

## megaglest-data 3.11.1

=== CMakeLists.txt ===
#########################################################################################
# Game data
CMAKE_MINIMUM_REQUIRED( VERSION 2.6.2 )
PROJECT( MegaGlest )

# Requires an install prefix for the items below to work
IF(NOT CMAKE_INSTALL_PREFIX STREQUAL "")
        MESSAGE(STATUS "**Data package INSTALL triggered.")

        IF(NOT MEGAGLEST_DATA_INSTALL_PATH)
	        SET(MEGAGLEST_DATA_INSTALL_PATH "share/megaglest/" CACHE STRING "The installation path for data files (this is appended to the CMAKE_INSTALL_PREFIX)")
        ENDIF()

        # Installation of the data
        install(
          DIRECTORY "${PROJECT_SOURCE_DIR}/data" 
	            "${PROJECT_SOURCE_DIR}/docs" 
	            "${PROJECT_SOURCE_DIR}/maps"
	            "${PROJECT_SOURCE_DIR}/scenarios"
	            "${PROJECT_SOURCE_DIR}/techs"
	            "${PROJECT_SOURCE_DIR}/tilesets"
	            "${PROJECT_SOURCE_DIR}/tutorials"
          DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH}
          OPTIONAL REGEX "/.git" EXCLUDE)

ENDIF()

=== debian/changelog ===
megaglest-data (3.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Add get-orig-source target to debian/rules.

 -- Markus Koschany <apo@gambaru.de>  Tue, 17 Mar 2015 11:28:07 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  rdfind,
  symlinks
 Standards-Version: 3.9.6
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/megaglest-data/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/megaglest-data/
+Vcs-Git: git://anonscm.debian.org/pkg-games/megaglest-data.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/megaglest-data.git
 Homepage: http://megaglest.org/
 
 Package: megaglest-data

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,5 @@
 	# Fix those symlinks to make them relative
 	symlinks -r -s -c debian/megaglest-data/
 
+get-orig-source:
+	uscan --verbose --download-current-version --force-download

=== debian/watch ===
version=3
# The built data is here:
https://github.com/MegaGlest/megaglest-data/releases .*/megaglest-data-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
# The data source code is here:
# https://github.com/MegaGlest/megaglest-data-source/releases .*/megaglest-data-source-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## megaglest-data 3.12.0

=== debian/changelog ===
megaglest-data (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Use Breaks and Replaces against src:megaglest because icons and desktop
    files were moved into src:megaglest-data.
  * Set MEGAGLEST_BIN_INSTALL_PATH=games.
  * Remove menu file provided by upstream because we already ship a menu file
    in src:megaglest.
  * Override Lintian warning desktop-command-not-in-package and
    privacy-breach-logo.
  * Update debian/watch and detect the latest release.

 -- Markus Koschany <apo@debian.org>  Wed, 27 Jan 2016 16:27:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,24 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Mark Vejvoda <mark_vejvoda@hotmail.com>,
- Markus Koschany <apo@gambaru.de>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
  debhelper (>= 9),
  rdfind,
  symlinks
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-games/megaglest-data.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/megaglest-data.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/megaglest-data.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/megaglest-data.git
 Homepage: http://megaglest.org/
 
 Package: megaglest-data
 Depends:
  ${misc:Depends}
+Breaks:
+ megaglest (<< 3.12.0-1)
+Replaces:
+ megaglest (<< 3.12.0-1)
 Architecture: all
 Suggests:
  megaglest

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,14 @@
 %:
 	dh $@ --parallel
 
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-DMEGAGLEST_BIN_INSTALL_PATH=games
+
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/megaglest-data
 	rm debian/megaglest-data/usr/share/megaglest/docs/README.data-license.txt
+	rm debian/megaglest-data/usr/share/menu/megaglest
 	find debian/megaglest-data/usr -type d -empty -delete
 	mkdir debian/megaglest-data/usr/share/games
 	mv debian/megaglest-data/usr/share/megaglest debian/megaglest-data/usr/share/games

=== debian/watch ===
version=3
# The built data is here:
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/megaglest-data-$1\.tar\.gz/ \
  https://github.com/MegaGlest/megaglest-data/tags .*/v?(\d\S*)\.tar\.gz
# The data source code is here:
# https://github.com/MegaGlest/megaglest-data-source/releases .*/megaglest-data-source-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## megaglest-data 3.13.0

=== CMakeLists.txt ===
##################################################################################
# Game data
CMAKE_MINIMUM_REQUIRED( VERSION 2.8.2 )
PROJECT( MegaGlest )

OPTION(WANT_INSTALL_DATA "Install MegaGlest's data" ON)

# Requires an install prefix for the items below to work
IF(NOT CMAKE_INSTALL_PREFIX STREQUAL "" AND WANT_INSTALL_DATA)
	MESSAGE(STATUS "**Data package INSTALL triggered.")

	IF(NOT MEGAGLEST_DATA_INSTALL_PATH)
		SET(MEGAGLEST_DATA_INSTALL_PATH "share/megaglest/" CACHE STRING "The installation path for data files (this is appended to the CMAKE_INSTALL_PREFIX)")
	ENDIF()
	IF(NOT MEGAGLEST_APPDATA_INSTALL_PATH AND NOT WANT_SINGLE_INSTALL_DIRECTORY)
		SET(MEGAGLEST_APPDATA_INSTALL_PATH "share/appdata/" CACHE STRING "The installation path for appdata files (this is appended to the CMAKE_INSTALL_PREFIX)")
	ENDIF()
	IF(NOT MEGAGLEST_DESKTOP_INSTALL_PATH)
		SET(MEGAGLEST_DESKTOP_INSTALL_PATH "share/applications/" CACHE STRING "The installation path for desktop files (this is appended to the CMAKE_INSTALL_PREFIX)")
	ENDIF()
	IF(NOT MEGAGLEST_ICON_INSTALL_PATH)
		SET(MEGAGLEST_ICON_INSTALL_PATH "share/pixmaps/" CACHE STRING "The installation path for icon files (this is appended to the CMAKE_INSTALL_PREFIX)")
	ENDIF()
	IF(NOT MEGAGLEST_BIN_INSTALL_PATH)
		SET(MEGAGLEST_BIN_INSTALL_PATH "bin/" CACHE STRING "The installation path for binaries (this is appended to the CMAKE_INSTALL_PREFIX)")
	ENDIF()
	IF(NOT MEGAGLEST_MENU_INSTALL_PATH AND NOT WANT_SINGLE_INSTALL_DIRECTORY)
		SET(MEGAGLEST_MENU_INSTALL_PATH "share/menu/" CACHE STRING "The installation path for menu file (this is appended to the CMAKE_INSTALL_PREFIX)")
	ENDIF()

	CONFIGURE_FILE("${PROJECT_SOURCE_DIR}/others/menu/megaglest.menu.in"
		"${PROJECT_BINARY_DIR}/others/menu/megaglest.menu.in" COPYONLY)
	IF(BUILD_MEGAGLEST_MAP_EDITOR OR NOT DEFINED BUILD_MEGAGLEST_MAP_EDITOR)
		FILE(READ "${PROJECT_SOURCE_DIR}/others/menu/megaglest_editor.menu.in" EDITOR_MENU)
		FILE(APPEND "${PROJECT_BINARY_DIR}/others/menu/megaglest.menu.in" "${EDITOR_MENU}")
	ENDIF()
	CONFIGURE_FILE("${PROJECT_BINARY_DIR}/others/menu/megaglest.menu.in"
		"${PROJECT_BINARY_DIR}/others/menu/megaglest")

	# Installation of the data
	INSTALL(DIRECTORY "${PROJECT_SOURCE_DIR}/data"
			"${PROJECT_SOURCE_DIR}/docs"
			"${PROJECT_SOURCE_DIR}/maps"
			"${PROJECT_SOURCE_DIR}/scenarios"
			"${PROJECT_SOURCE_DIR}/techs"
			"${PROJECT_SOURCE_DIR}/tilesets"
			"${PROJECT_SOURCE_DIR}/tutorials"
			DESTINATION ${MEGAGLEST_DATA_INSTALL_PATH}
			OPTIONAL REGEX "/.git" EXCLUDE)

	IF(UNIX AND NOT "${MEGAGLEST_APPDATA_INSTALL_PATH}" STREQUAL "")
		INSTALL(FILES "${PROJECT_SOURCE_DIR}/others/appdata/megaglest.appdata.xml"
			DESTINATION ${MEGAGLEST_APPDATA_INSTALL_PATH})

		IF(BUILD_MEGAGLEST_MAP_EDITOR OR NOT DEFINED BUILD_MEGAGLEST_MAP_EDITOR)
			INSTALL(FILES "${PROJECT_SOURCE_DIR}/others/appdata/megaglest_editor.appdata.xml"
				DESTINATION ${MEGAGLEST_APPDATA_INSTALL_PATH})
		ENDIF()
	ENDIF()
	IF(UNIX AND NOT "${MEGAGLEST_MENU_INSTALL_PATH}" STREQUAL "")
		INSTALL(FILES
			"${PROJECT_BINARY_DIR}/others/menu/megaglest"
			DESTINATION ${MEGAGLEST_MENU_INSTALL_PATH})
	ENDIF()

	IF(UNIX AND NOT APPLE)
		INSTALL(FILES
			"${PROJECT_SOURCE_DIR}/others/icons/megaglest.png"
			"${PROJECT_SOURCE_DIR}/others/icons/megaglest.xpm"
			DESTINATION ${MEGAGLEST_ICON_INSTALL_PATH})

		INSTALL(FILES
			"${PROJECT_SOURCE_DIR}/others/desktop/megaglest.desktop"
			DESTINATION ${MEGAGLEST_DESKTOP_INSTALL_PATH})
		IF(BUILD_MEGAGLEST_MAP_EDITOR OR NOT DEFINED BUILD_MEGAGLEST_MAP_EDITOR)
			INSTALL(FILES
				"${PROJECT_SOURCE_DIR}/others/desktop/megaglest_editor.desktop"
				DESTINATION ${MEGAGLEST_DESKTOP_INSTALL_PATH})
		ENDIF()
		IF(BUILD_MEGAGLEST_MODEL_VIEWER OR NOT DEFINED BUILD_MEGAGLEST_MODEL_VIEWER)
			INSTALL(FILES
				"${PROJECT_SOURCE_DIR}/others/desktop/megaglest_g3dviewer.desktop"
				DESTINATION ${MEGAGLEST_DESKTOP_INSTALL_PATH})
		ENDIF()
	ENDIF()
ENDIF()

=== debian/changelog ===
megaglest-data (3.13.0-4) unstable; urgency=medium

  * d/watch: Use standard version 4.
  * Declare compliance with Debian Policy 4.7.2.
  * Fix FTBFS with CMAKE 4 by requiring CMAKE_POLICY_VERSION_MINIMUM=3.5.
    (Closes: #1113275)
  * Fix Lintian warning inconsistent-appstream-metadata-license and add the
    CC-BY-SA-4.0 license to debian/copyright.
  * Replace rdfind and symlinks with jdupes to replace duplicate files. For
    some reason symlinks does not create relative symlinks anymore and I get
    Lintian error symlink-target-in-build-tree.

 -- Markus Koschany <apo@debian.org>  Mon, 27 Oct 2025 19:46:16 +0100

megaglest-data (3.13.0-3) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Remove obsolete Breaks and Replaces.
  * Mark megaglest-data Multi-Arch: foreign.
  * Use canonical VCS URL.
  * Use secure homepage URL.
  * Remove get-orig-source target.

 -- Markus Koschany <apo@debian.org>  Sun, 03 Jan 2021 00:26:50 +0100

megaglest-data (3.13.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Sat, 24 Jun 2017 15:18:17 +0200

megaglest-data (3.13.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Remove extra license file LICENSE.data.txt.

 -- Markus Koschany <apo@debian.org>  Mon, 13 Mar 2017 00:05:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,17 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
- rdfind,
- symlinks
-Standards-Version: 3.9.6
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/megaglest-data.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/megaglest-data.git
-Homepage: http://megaglest.org/
+ debhelper-compat (= 13),
+ jdupes
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/games-team/megaglest-data.git
+Vcs-Browser: https://salsa.debian.org/games-team/megaglest-data
+Homepage: https://megaglest.org/
 
 Package: megaglest-data
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
-Breaks:
- megaglest (<< 3.12.0-1)
-Replaces:
- megaglest (<< 3.12.0-1)
 Architecture: all
 Suggests:
  megaglest

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DMEGAGLEST_BIN_INSTALL_PATH=games \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_auto_install:
	dh_auto_install --destdir=debian/megaglest-data
	rm debian/megaglest-data/usr/share/megaglest/docs/README.data-license.txt
	rm debian/megaglest-data/usr/share/megaglest/docs/LICENSE.data.txt
	rm debian/megaglest-data/usr/share/menu/megaglest
	find debian/megaglest-data/usr -type d -empty -delete
	mkdir debian/megaglest-data/usr/share/games
	mv debian/megaglest-data/usr/share/appdata debian/megaglest-data/usr/share/metainfo
	mv debian/megaglest-data/usr/share/megaglest debian/megaglest-data/usr/share/games
	# Replace duplicate files with relative symlinks
	jdupes -rl debian/megaglest-data/

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 # The built data is here:
 opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/megaglest-data-$1\.tar\.gz/ \
   https://github.com/MegaGlest/megaglest-data/tags .*/v?(\d\S*)\.tar\.gz
